Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Joomla version 1.5 is end-of-life and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
jojo12
Joomla! Apprentice
Joomla! Apprentice
Posts: 38
Joined: Sat Apr 24, 2010 5:57 am

Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by jojo12 » Sat Apr 24, 2010 6:04 am

After normal upgrading I cannot enter backend. After name and passwords it renews allways the enter window without any message. So I decided to go back to 1.5.15 until I know the problem.

Is there someone who resolved that problem?

m00m00
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Sat Apr 24, 2010 9:52 am

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by m00m00 » Sat Apr 24, 2010 10:13 am

Hi

I have had the SAME problem with this upgrade patch...

To fix this, I needed to the replace the libraries/joomla/application/application.php from the patch upgrade with the 1.5.15 version... just ftp the older .15 file over the new patched file.

Once this single file was replaced, I could log in again....

Hope this helps.

User avatar
mindwaster
Joomla! Apprentice
Joomla! Apprentice
Posts: 16
Joined: Tue Sep 11, 2007 7:06 am
Location: Serbia

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by mindwaster » Sat Apr 24, 2010 10:22 am

Really serious bug, I suppose.
5 months without any upgrade and then this happened.
Thank you m00m00, that saved me from getting a big headache.
Looking forward to 1.6 version.

EDIT: Apparently, redirect function is changed and that is possible cause for this problem.
I have also noticed that this didn't happen on one of my sites, I could normally login after applying new patch.
Cynic till the day I die
I will never cure my pride.

Lintzy
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 26, 2009 11:14 am

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Lintzy » Sat Apr 24, 2010 10:50 am

m00m00, thank you so much for this hint. I have had the same problem and I could not enter backend after upgrading from 1.5.15 to 1.5.16 but changing the application.php fixed it. On same server but another joomla-installation (also 1.5.15) the upgrade worked without any issues.

Should be conflicts with 3rd Party extensions?

jojo12
Joomla! Apprentice
Joomla! Apprentice
Posts: 38
Joined: Sat Apr 24, 2010 5:57 am

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by jojo12 » Sat Apr 24, 2010 11:09 am

Thanks, it worked, but this cannot be an official and good solution. Which 3rd part extension could that be, who makes the problem?

Lintzy
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 26, 2009 11:14 am

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Lintzy » Sat Apr 24, 2010 11:37 am

I have found the string, that causes this issue, but I don't understand the meaning of it.

If you comment out (or delete) the line 533 of application.php from Joomla 1.5.16

Code: Select all

$session->fork();
you can enter backend.


Some thought to it: In the involved Joomla installation I have disabled joomla session, because the flash uploader does work only with disabled joomla session. In the joomla installation, where I could enter backend without any problems after upgrade, joomla session is activated.

User avatar
mindwaster
Joomla! Apprentice
Joomla! Apprentice
Posts: 16
Joined: Tue Sep 11, 2007 7:06 am
Location: Serbia

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by mindwaster » Sat Apr 24, 2010 11:53 am

That's right Lintzy,

After my post I have also tried commenting Line 533 of the new application.php file and it worked for all installations where Session Handler was set to None in Session Settings (Global Configuration -> System).

Another possible solution is to manually change Line 51 of the configuration.php file of each installation:

Code: Select all

var $session_handler = 'database';
if it was set to 'none' instead.
Than you should be able to log in properly.
Cynic till the day I die
I will never cure my pride.

User avatar
ste
Joomla! Explorer
Joomla! Explorer
Posts: 460
Joined: Mon Aug 22, 2005 11:31 am
Location: Italia

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by ste » Sat Apr 24, 2010 2:40 pm

Thanks a lot for your help m00m00 and mindwaster
I'm using the mindwaster's solutions and is working fine
Italian Joomla Translation Team Coordinator
Joomla! Translation Coordination Team
ContentMap plugin and module - http://extensions.joomla.org/extensions ... /maps/7225

User avatar
sarki
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 216
Joined: Mon Sep 19, 2005 2:34 pm
Location: Suisse
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by sarki » Sat Apr 24, 2010 3:56 pm

Hello,
Update 1.5.14 to 1.5.16 no problem for me.
Update 1.5.15 to 1.5.16 no problem either.

Tests on local server 2Go and online with PHP 5.x
Sarki
French Joomla Translation : http://www.joomla.fr
French JCE Translation & Support : http://www.sarki.ch/jce

Scotsfox
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Sun Oct 01, 2006 10:17 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Scotsfox » Sat Apr 24, 2010 4:15 pm

sarki wrote:Update 1.5.14 to 1.5.16 no problem for me.
Update 1.5.15 to 1.5.16 no problem either.
I upgraded 10 sites, 2 from 1.5.14 and the rest from 1.5.15. All went well except for one of the 1.5.15 sites where I had the admin login problem.

Only thing that worked for me was editing the application.php file.

I'd like to know the implications of this edit however if anyone knows?
Last edited by Scotsfox on Sat Apr 24, 2010 4:51 pm, edited 1 time in total.

Polyphemus
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sat Apr 24, 2010 12:42 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Polyphemus » Sat Apr 24, 2010 4:28 pm

Well, I edited the application.php file and commented line 533 ($session->fork();), but my site is still blank. :(

ChrisEdwards
Joomla! Intern
Joomla! Intern
Posts: 81
Joined: Sat Apr 12, 2008 3:19 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by ChrisEdwards » Sat Apr 24, 2010 5:07 pm

I have just upgraded from 1.5.15 to 1.5.16 on both a test site and a live site (both on the same server) and there do not appear to be any problems. The test site is in a sub-domain which is useful for experimenting with upgrades and extensions.

Many thanks to the Joomla team for another excellent upgrade.

v2006
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 163
Joined: Fri Jun 30, 2006 2:26 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by v2006 » Sat Apr 24, 2010 6:35 pm

I was also unable to login after the upgrade on the server...however on the local server I had no problem.

Even after I replaced libraries/joomla/application/application.php with the 1.5.15 file I still can't login

Any solutions?

User avatar
localizador1709
Joomla! Apprentice
Joomla! Apprentice
Posts: 16
Joined: Thu Apr 09, 2009 10:03 pm
Location: São Paulo - Brasil
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by localizador1709 » Sat Apr 24, 2010 6:39 pm

In two sites that I manage, one of them had this problem and others not. Question: The removal of this line of code can cause a problem?

User avatar
garyjaybrooks
Joomla! Guru
Joomla! Guru
Posts: 562
Joined: Wed Feb 20, 2008 4:34 am
Location: Michigan
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by garyjaybrooks » Sat Apr 24, 2010 6:45 pm

Can one of you having the problem please parse out your php error log. We need to see what the problem is .
Gary Brooks - Joomla Hosting with Phone Support http://www.CloudAccess.net Official host of http://demo.joomla.org

Polyphemus
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sat Apr 24, 2010 12:42 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Polyphemus » Sat Apr 24, 2010 7:13 pm

Ehm, I edited my configuration.php and set var $error_reporting to '6143' (I found that via search, don;t know if it's a coorect way) and this is the error I get:

Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /httpdocs/libraries/joomla/plugin/helper.php on line 218

Maybe this helps?

v2006
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 163
Joined: Fri Jun 30, 2006 2:26 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by v2006 » Sat Apr 24, 2010 7:14 pm

parse out your php error log
what does that mean and where is it located?

User avatar
birdland
Joomla! Apprentice
Joomla! Apprentice
Posts: 25
Joined: Sun Dec 10, 2006 5:12 am
Location: Calgary Canada
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by birdland » Sat Apr 24, 2010 7:17 pm

I experienced this issue with my most recent upgrade today - I had used ftp to overwrite the for the upgrade, then, after the failed attempt - used ftp to move the upgrade file into the root and expanded it there with the cpanel tools. Both processes failed.

I then copied the old 1.5.15 application.php file and solved the issue.
This failure occurred on one of three sites upgraded today. I have 7 more sites to upgrade.

If you can direct me through the process of parsing the php error file, I would gladly send it. I've not done that before.
Doug McCormick
Personal Consulting in Calgary

Polyphemus
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sat Apr 24, 2010 12:42 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Polyphemus » Sat Apr 24, 2010 7:20 pm

When I force my website to use PHP 5, everything works perfectly, but when I switch back to PHP 4, the error returns.

Gergo Erdosi
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4031
Joined: Sat Nov 11, 2006 9:34 pm
Location: Hungary

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Gergo Erdosi » Sat Apr 24, 2010 7:32 pm

Polyphemus wrote:Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /httpdocs/libraries/joomla/plugin/helper.php on line 218
You can find the answer in the FAQ: http://docs.joomla.org/Why_do_you_get_a ... ion_1.5.16

Gergo Erdosi
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4031
Joined: Sat Nov 11, 2006 9:34 pm
Location: Hungary

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Gergo Erdosi » Sat Apr 24, 2010 7:35 pm

People having issues with login: change the session handler to "database", this temporarily solves the login problem. As mentioned above, simple edit configuration.php for this:

Code: Select all

var $session_handler = 'database';
The Bug Squad team is working on fixing the issue with the handler "none".

arnold family
Joomla! Apprentice
Joomla! Apprentice
Posts: 32
Joined: Sat Oct 24, 2009 12:57 am

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by arnold family » Sat Apr 24, 2010 7:38 pm

Thanks for this info as i am using jomres lite and it requires the session handler to be set to none so i'll wait until the revised package is out

User avatar
sarki
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 216
Joined: Mon Sep 19, 2005 2:34 pm
Location: Suisse
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by sarki » Sat Apr 24, 2010 7:41 pm

There is indeed a problem of compatibility with PHP 4.
It is time to update ;)
Sarki
French Joomla Translation : http://www.joomla.fr
French JCE Translation & Support : http://www.sarki.ch/jce

regoli
Joomla! Apprentice
Joomla! Apprentice
Posts: 11
Joined: Sat Apr 07, 2007 5:21 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by regoli » Sat Apr 24, 2010 8:52 pm

This mod to 'configuration.php' may not work for everyone.

For what it's worth, my 1.5.16 $session_handler is set to 'database' and upgrading to 1.5.16 completely disabled my site. (For details on my site, see http://forum.joomla.org/viewtopic.php?f=430&t=510578). --mr
Gergo Erdosi wrote:People having issues with login: change the session handler to "database", this temporarily solves the login problem. As mentioned above, simple edit configuration.php for this:

Code: Select all

var $session_handler = 'database';
The Bug Squad team is working on fixing the issue with the handler "none".

v2006
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 163
Joined: Fri Jun 30, 2006 2:26 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by v2006 » Sat Apr 24, 2010 9:06 pm

Editing 'configuration.php' did not work for my site.

Gergo Erdosi
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4031
Joined: Sat Nov 11, 2006 9:34 pm
Location: Hungary

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by Gergo Erdosi » Sat Apr 24, 2010 9:11 pm

Try to set $error_reporting to '6143' in the configuration.php file as Polyphemus did above. Do you get any kind error after this step?

tbop
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Sat Jun 13, 2009 2:58 pm
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by tbop » Sat Apr 24, 2010 10:07 pm

Gergo Erdosi wrote:Try to set $error_reporting to '6143' in the configuration.php file as Polyphemus did above. Do you get any kind error after this step?
I am having the same problem. I changed the configuration.php file as noted. My error log says the following:
[Sat Apr 24 16:03:02 2010] [error] [client xx.xx.xxx.xx] File does not exist: /home/echosono/public_html/404.shtml
[Sat Apr 24 16:03:02 2010] [error] [client xx.xx.xxx.xx] File does not exist: /home/echosono/public_html/favicon.ico

where i've changed the ip addresses to 'xx.xx.xxx.xx' for security purposes.

v2006
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 163
Joined: Fri Jun 30, 2006 2:26 pm

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by v2006 » Sat Apr 24, 2010 10:16 pm

No luck with "set $error_reporting to '6143' in the configuration.php file"
I'm surprised 1.6 was released to the public before the bugs were ironed out.

User avatar
localizador1709
Joomla! Apprentice
Joomla! Apprentice
Posts: 16
Joined: Thu Apr 09, 2009 10:03 pm
Location: São Paulo - Brasil
Contact:

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by localizador1709 » Sat Apr 24, 2010 10:52 pm

So everyone can see what happens in each of the sites that manage or develop, it is interesting that everyone could download the full version of Joomla 1.15.16. What do you think? But each may have some minor problems resulting from the upgrades.

User avatar
humvee
Joomla! Master
Joomla! Master
Posts: 14713
Joined: Wed Aug 17, 2005 10:27 pm
Location: Kent, England

Re: Cannot enter backend after upgrading from 1.5.15 to 1.5.16

Post by humvee » Sun Apr 25, 2010 2:56 am

The early version of the Update files had an error and they have been withdrawn.
Update using the full package (minus the installation directory) for now until the revised release is made.


Locked

Return to “Migrating and Upgrading to Joomla! 1.5”